### Function

# GLib pattern_match_simple

since: 2.0

#### Declaration

    gboolean
    g_pattern_match_simple (
      const gchar* pattern,
      const gchar* string
    )

#### Description

Matches a string against a pattern given as a string. If this function is to be called in a loop, it’s more efficient to compile the pattern once with `g_pattern_spec_new()` and call `g_pattern_match_string()` repeatedly.

Available since: 2.0

#### Parameters

`pattern`

  Type: `const gchar*`

  The UTF-8 encoded pattern.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`string`

  Type: `const gchar*`

  The UTF-8 encoded string to match.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `string` matches `pspec`.